Package com.xebialabs.deployit.plugin.api.udm

## Class ProvisioningPackage

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.Version
    - - com.xebialabs.deployit.plugin.api.udm.DeploymentPackage
      - - com.xebialabs.deployit.plugin.api.udm.ProvisioningPackage

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(description="A package of a certain version of an application. Groups all provisionable artifact CIs for an application for a certain version. Is contained by the Application CI.")
      @TypeIcon("icons/types/udm.Version.svg")
      public class ProvisioningPackage
      extends DeploymentPackage

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.xebialabs.deployit.plugin.api.udm.DeploymentPackage

      `DeploymentPackage.DependencyResolution`

  - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProvisioningPackage()` |

  - ### Method Summary

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.DeploymentPackage

      `addDeployable, getApplicationDependencies, getBoundTemplates, getDependencyResolution, getDeployables, getTemplates, getUndeployDependencies, setApplicationDependencies, setBoundTemplates, setDependencyResolution, setDeployables, setTemplates, setUndeployDependencies`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.Version

      `getApplication, getOrchestrator, getVersion, setApplication, setOrchestrator`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProvisioningPackage

          public ProvisioningPackage()